Logo Site EngageLab Mark Colored Transparent
Document

Update Ticket

Update Ticket allows you to modify ticket information.

Request Method

PUT

Endpoint

https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id

Authentication

For details, see the authentication method description in API Overview.

Request

Request Example

curl -X PUT 'https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id' \ -H 'Content-Type: application/json' \ -H 'Authorization: Basic base64(api_key:api_secret)' \ -d '{ "title": "Printer jammed and unable to print (updated)", "description": "The customer reported that A4 paper is jammed in the output tray and needs urgent handling.\nA technician has been dispatched.", "attachments": [ { "file_url": "https://example.com/files/error-photo.jpg" } ], "priority": "normal", "ticket_type": "incident", "custom_fields": { "department": "IT Support", "device_sn": "PRN-2024-001", "location": "Beijing Headquarters - 3rd Floor Print Room", "resolution_note": "Replaced the paper feeder" }, "tags": ["printer", "hardware", "resolved"] }'
              
              curl -X PUT 'https://livedesk-api.engagelab.com/api/v2/accounts/tickets/:ticket_id' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
-d '{
  "title": "Printer jammed and unable to print (updated)",
  "description": "The customer reported that A4 paper is jammed in the output tray and needs urgent handling.\nA technician has been dispatched.",
  "attachments": [
    {
      "file_url": "https://example.com/files/error-photo.jpg"
    }
  ],
  "priority": "normal",
  "ticket_type": "incident",
  "custom_fields": {
    "department": "IT Support",
    "device_sn": "PRN-2024-001",
    "location": "Beijing Headquarters - 3rd Floor Print Room",
    "resolution_note": "Replaced the paper feeder"
  },
  "tags": ["printer", "hardware", "resolved"]
}'

            
This code block in the floating window

Request Headers

Field Type Description
Authorization string Use Authorization: Basic base64(API Key:API Secret) for authentication. Go to the API key page to obtain the API Key and API Secret, join them with a colon, and encode the result in Base64.
Content-Type application/json Data type. The value is application/json.

Path Parameters

Field Type Required Description
ticket_id String Yes Ticket ID.

Request Body Parameters

Field Type Required Description
title String Yes Ticket title.
description String Yes Detailed ticket description (supports Markdown).
attachments Array No List of ticket-level attachments.
file_url: File URL.
priority String No Priority: low / medium / high / urgent. Defaults to medium if not provided.
ticket_type String No Ticket type: incident / question / problem / task.
custom_fields Object No Custom fields, such as device serial number or order number.
tags Array No Ticket tags.

Response

Successful Response

{ "code": 0, "message": "Success", "data": { "ticket_id": "tk_20251104_789abc", "updated_at": "2025-11-04T10:30:00+08:00" } }
              
              {
  "code": 0,
  "message": "Success",
  "data": {
    "ticket_id": "tk_20251104_789abc",
    "updated_at": "2025-11-04T10:30:00+08:00"
  }
}

            
This code block in the floating window

Response Parameters

Field Type Required Description
ticket_id String No Ticket ID.
updated_at String No Update time.
Icon Solid Transparent White Qiyu
Contact Sales